Create a load balancer rule for a public IP address
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
ipId
ID of the public IP address
Request
This endpoint expects an object.
name
Name of the load balancer rule
algorithm
Algorithm used to distribute traffic across the backend VMs.
Allowed values:
publicPort
Public port the load balancer listens on.
privatePort
Port on the backend VMs that traffic is forwarded to.
protocol
Protocol the load balancer accepts.
Allowed values:
sourceCidrList
Source CIDR allowed to reach the load balancer.
description
Free-form description of the rule.
Response
Load balancer rule created
id
Unique identifier for the load balancer rule.
name
Human-readable name for the rule.
publicPort
Public port the load balancer listens on.
privatePort
Port on the backend VMs that traffic is forwarded to.
algorithm
Algorithm used to distribute traffic across the backend VMs.
protocol
Protocol the load balancer accepts.
state
Current lifecycle state of the rule.
ipAddressId
Identifier of the public IP the rule is attached to.
ipAddress
Public IP address the rule is attached to.
networkId
Identifier of the network the rule is associated with.
sourceCidrList
Source CIDR allowed to reach the load balancer.
createdAt
When the rule was created.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error